Перейти к содержимому

Фото
- - - - -

Поддержка Java в Mozilla


  • Вы не можете создать новую тему
  • Please log in to reply
8 ответов в этой теме

#1 quant

quant
  • Пользователь
  • 294 сообщений
  • Откуда:КиберАдминск1

Отправлено 11 Август 2004 - 12:05

Где можно взять java плагин для мозиллы?
Как его правильно поставить?

А то я взял где-то и зделал всё как написано в readme всё равно он почемуто не пахал
Может быть вы разьесните мне ситуацию..
  • 0

#2 Luciferette

Luciferette
  • Пользователь
  • 251 сообщений

Отправлено 11 Август 2004 - 14:39

http://www.java.com/en/index.jsp > Downloads на самом верху страницы. Это платформа Java.

Bообще, если у тебя Windows, Java должна работать автоматически по инсталляции Mozilla, но если у тебя Linux, попробуй вот что. Открой Mozilla как root, зайди на http://java.sun.com. Это должно заставить работать plug-in Java. Скачай и инсталлируй его. Инсталлируется он в /usr/lib/mozilla. Когда всё будет сделано, выйди из Mozilla и root и потом снова открой Mozilla как обычный юзер. Если и это не сработает, тебе сюда http://www.blackdown...java-linux.html :blink:
  • 0

#3 quant

quant
  • Пользователь
  • 294 сообщений
  • Откуда:КиберАдминск1

Отправлено 11 Август 2004 - 15:59

А можно поподробнее... У меня Debian GNU/Linux Sid :)
Я делал в прошлый раз так: качал где-то J2RE и распоковывал вытаскивал оотуда /plugins/i386/mozilla/plugin.so копировал его в /usr/... дальше непомню но когда я хотел проверить работосопосбность плагина то мозила сама вырубилась увидев Java-applet..
  • 0

#4 tomatensaft

tomatensaft

    Samurai Jack

  • Пользователь
  • 449 сообщений
  • Откуда:Tallinn

Отправлено 11 Август 2004 - 18:59

0) Удали старую инсталляцию Java

1) Добавь эти строчки в /etc/apt/sources.list :

# Blackdown Java RE and SDK
deb ftp://sunsite.dk/mirrors/java-linux/debian unstable main non-free

2) Выполни команду:

apt-get update && apt-get install j2se1.4

3) Загружай Мозиллу и пользуйся Java.

* Одна проблема, которую я еще сам не решил: в Mozilla Firefox этот плагин не хочет работать... Только в простой Мозилле.

Сообщение изменено: tomatensaft (11 Август 2004 - 19:01 )

  • 0
"This is all I want'd t' say 'bout dat..." © Forest Gump

#5 quant

quant
  • Пользователь
  • 294 сообщений
  • Откуда:КиберАдминск1

Отправлено 11 Август 2004 - 20:00

0) Удали старую инсталляцию Java

А её и не было :)

Одна проблема, которую я еще сам не решил: в Mozilla Firefox этот плагин не хочет работать... Только в простой Мозилле.


И на том спасибо.. Надо полазить посмотреть может кто сталкивался...
  • 0

#6 quant

quant
  • Пользователь
  • 294 сообщений
  • Откуда:КиберАдминск1

Отправлено 11 Август 2004 - 20:22

gik:/home/gik# apt-get install j2se1.4
Reading Package Lists... Done
Building Dependency Tree... Done
E: Couldn't find package j2se1.4
gik:/home/gik# apt-cache search j2re
j2re1.3 - Blackdown Java™ 2 Runtime Environment, Standard Edition
j2re1.4 - Blackdown Java™ 2 Runtime Environment, Standard Edition
gik:/home/gik# apt-get install j2re1.4


Кстати ты ошибся j2se1.4 там нету есть только j2re1.4 уже качаю...
  • 0

#7 quant

quant
  • Пользователь
  • 294 сообщений
  • Откуда:КиберАдминск1

Отправлено 11 Август 2004 - 21:52

Setting up j2re1.4 (1.4.0.99beta-1) ...
update-alternatives: unable to make /usr/lib/mozilla-cvs/plugins/javaplugin_oji.so.dpkg-tmp a symlink to /etc/alternatives/javaplugin_oji-mozilla-cvs.so: No such file or directory
dpkg: error processing j2re1.4 (--configure):
subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
j2re1.4
E: Sub-process /usr/bin/dpkg returned an error code (1)

у меня нету /usr/lib/mozilla-cvs и нету javaplugin_oji-mozilla-cvs.so
Есть только /usr/lib/mozilla/plugins и там ссылка на /etc/alternatives/javaplugin_oji.so

И плагин не работает в обычной Mozill'e Что делать?..
  • 0

#8 tomatensaft

tomatensaft

    Samurai Jack

  • Пользователь
  • 449 сообщений
  • Откуда:Tallinn

Отправлено 12 Август 2004 - 15:14

;№%;%%№%, сказал поручик Ржевский и грязно выругался...

Создай эту несуществующую папку /usr/lib/mozilla-cvs/plugins и все путем... Пакет битый, блин. Такая же проблема была...

Сообщение изменено: tomatensaft (12 Август 2004 - 15:15 )

  • 0
"This is all I want'd t' say 'bout dat..." © Forest Gump

#9 quant

quant
  • Пользователь
  • 294 сообщений
  • Откуда:КиберАдминск1

Отправлено 12 Август 2004 - 15:36

Вроде как плагин поставился он даже в about:plugins есть но он просто не используется т.e. аплеты не грузит.. странно
  • 0